Gentoo Archives: gentoo-alt

From: Michael Haubenwallner <haubi@g.o>
To: gentoo-alt@l.g.o
Subject: Re: [gentoo-alt] prefix installer, AIX 5.3 gcc failed to build
Date: Mon, 13 Dec 2010 21:46:46
Message-Id: 4D069432.1070808@gentoo.org
In Reply to: Re: [gentoo-alt] prefix installer, AIX 5.3 gcc failed to build by Perry Smith
Wait a moment,

On 12/13/10 21:47, Perry Smith wrote:
> I'm going to continue onward...
Right now, I've update portage in prefix-launcher to accept EAPI 3 now, which is required to support unmodified ebuilds from main Gentoo Linux. However, this portage version is yet untested with prefix-launcher. With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap when using '--with-tree=latest', which is necessary for AIX at the moment: !!! All ebuilds that could satisfy "app-arch/tar" have been masked. !!! One of the following masked packages is required to complete your request: - app-arch/tar-1.25 (masked by: EAPI 3) - app-arch/tar-1.23-r4 (masked by: missing keyword) - app-arch/tar-1.23-r2 (masked by: missing keyword) To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory with the one from an svn-export of prefix-launcher-trunk[1], and do: $ cd prefix-launcher-2.1.0 $ rm -rf buildroot/portage/* $ gmake config portage_BUILDFROM=SCRATCH $ gmake portage $ gmake -t install [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar /haubi/ -- Michael Haubenwallner Gentoo on a different level

Replies

Subject Author
Re: [gentoo-alt] prefix installer, AIX 5.3 gcc failed to build Perry Smith <pedzsan@×××××.com>
Re: [gentoo-alt] prefix installer, AIX 5.3 gcc failed to build Michael Haubenwallner <haubi@g.o>